type MediaQueryProps = {
    forViewport?: string;
    hideIfMatch?: boolean;
};
declare const MediaQuery: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: React.ElementType;
} & MediaQueryProps, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export default MediaQuery;
